# Class CIM_RangesOfConfiguration
extends CIM_Dependency

This association connects address ranges to the OSPF area configuration. When network administrators want to control the advertisements of OSPF routers by filters, they first define the relevant ranges. In order for a router to handle a range, an instance of RangeOfIPAddresses MUST be associated to the router's OSPFAreaConfiguration, using this relationship. The association between the range and area configuration contains a property (EnableAdvertise) defining the handling - to allow or disallow advertismenets in the range.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_RangesOfConfiguration

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This association connects address ranges to the OSPF area configuration. When network administrators want to control the advertisements of OSPF routers by filters, they first define the relevant ranges. In order for a router to handle a range, an instance of RangeOfIPAddresses MUST be associated to the router's OSPFAreaConfiguration, using this relationship. The association between the range and area configuration contains a property (EnableAdvertise) defining the handling - to allow or disallow advertismenets in the range.

UMLPackagePath | string | CIM::Network::OSPF
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
EnableAdvertise | boolean |
Description | string | The address range is advertised (TRUE) or not (FALSE), see C.2 in RFC 2328.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_RangesOfConfiguration | CIM_RangeOfIPAddresses
Dependent | CIM_RangesOfConfiguration | CIM_OSPFAreaConfiguration

## Class Methods